<?php


function meetly_customize_register( $wp_customize ) {
 

	 // New Meetly Settings Panel
	
    $wp_customize->add_panel( 'meetly_settings', array(
        'priority'       => 1,
        'capability'     => 'edit_theme_options',
        'title'          => __('Meetly Settings', meetly_customizer_title),
        'description'    => __('Customize the look of Meetly Child Theme.', meetly_customizer_title),
    ));
	 
	 
	 
	// add the section to contain the settings
	$wp_customize->add_section( 'meetly_colors' , array(
			'title'      => __( 'Meetly Colors', meetly_customizer_title),
			'priority'   => 0,
			'panel'  => 'meetly_settings',
	) ); 
	
	// add the section to contain the settings
	$wp_customize->add_section( 'meetly_fonts' , array(
			'title'      => __( 'Meetly Fonts', meetly_customizer_title),
			'priority'   => 0,
			'panel'  => 'meetly_settings',
	) ); 
	 
	// Gradient Colors
	$colors[] = array(
	    'slug'=>'color_scheme_1', 
	    'default' => '#00dbce',
	    'label' => 'Accent Color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_2', 
	    'default' => '#bfdb00',
	    'label' => 'CTA Color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_3', 
	    'default' => '#00171f',
	    'label' => 'Dark elements color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_4', 
	    'default' => '#e1e8e9',
	    'label' => 'Light Background Color'
	);

	// add the settings and controls for each color
	foreach( $colors as $color ) {
	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $color['slug'], array(
	            'default' => $color['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options'
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new ET_Divi_Customize_Color_Alpha_Control(
	            $wp_customize,
	            $color['slug'], 
	            array('label' => $color['label'], 
	            'section' => 'meetly_colors',
	            'settings' => $color['slug'])
	        )
	    );
	}
	
	
	$font_weights = array(
			'100'   => __( 'Thin' ),
            '200'  => __( 'Ultra Light' ),
            '300'  => __( 'Light' ),
            '400'  => __( 'Regular' ),
			'500'   => __( 'Medium' ),
            '600'  => __( 'Semi Bold' ),
            '700'  => __( 'Bold' ),
            '800'  => __( 'Ultra Bold' ),
            '900'  => __( 'Heavy' )
		);
	
	
	$wp_customize->add_setting( 'header_font_weight', array(
		'default'       => '800',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'header_font_weight', array(
		'label'	      => 'Headings Font Weight',
		'section'     => 'meetly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'body_font_weight', array(
		'default'       => '300',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'body_font_weight', array(
		'label'	      => 'Body Text Font Weight',
		'section'     => 'meetly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'button_font_weight', array(
		'default'       => '800',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'button_font_weight', array(
		'label'	      => 'Buttons Font Weight',
		'section'     => 'meetly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'nav_font_weight', array(
		'default'       => '800',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'nav_font_weight', array(
		'label'	      => 'Primary Nav Font Weight',
		'section'     => 'meetly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	


	
 
}
add_action( 'customize_register', 'meetly_customize_register' );




function meetly_customize_settings() {

?>
<?php
	$color_scheme_1 = get_option( 'color_scheme_1', '#00dbce' );
	$color_scheme_2 = get_option( 'color_scheme_2', '#bfdb00' );
	$color_scheme_3 = get_option( 'color_scheme_3', '#00171f' );
	$color_scheme_4 = get_option( 'color_scheme_4', '#e1e8e9' );
	$header_font_weight = get_option( 'header_font_weight', '800' );
	$body_font_weight = get_option( 'body_font_weight', '300' );
	$button_font_weight = get_option( 'button_font_weight', '800' );
	$nav_font_weight = get_option( 'nav_font_weight', '800' );


?>
	<style>

    /* Accent Color */
	#commentform textarea,
	#commentform input[type="text"],
	#commentform input[type="email"],
	#commentform input[type="url"],
	.dl-ticket .et_pb_pricing_table,
	.dl-contact-form .et_pb_contact p input,
	.dl-contact-form .et_pb_contact p textarea {
		border-color:<?php echo $color_scheme_1; ?>;
	}
	#top-menu-nav > ul > li > a:before,
	.et_mobile_menu li a:hover,
	.et_mobile_menu li.cta-menu-item a:hover,
	.dl-blog-grid .et_pb_post:hover .entry-featured-image-url:after,
	h4.widgettitle:after,
	.et_pb_post > a:hover:after,
	.dl-ticket .et_pb_pricing_table,
	.dl-speaker:hover .et_pb_team_member_image:before  {
		background:<?php echo $color_scheme_1; ?>;
	}
	#top-menu > li.current-menu-item:not(.cta-menu-item) > a,
	#top-menu > li.current-menu-item:not(.cta-menu-item) > a:hover,
	.et_pb_scroll_top.et-pb-icon,
	blockquote:before,
	a,
	.dl-blog-grid h2.entry-title a:hover,
	.dl-speaker-full .et_pb_member_social_links li a:hover,
	.et_pb_post h2.entry-title a:hover {
	    color:<?php echo $color_scheme_1; ?>;
	}
	.dl-blurb .et-pb-icon {
	    color:<?php echo $color_scheme_1; ?>!important;
	}
	.dl-divider-turquoise svg {
		fill:<?php echo $color_scheme_1; ?>;
	}
	#main-content .et_pb_section.dl-section-turquoise {
		background-color:<?php echo $color_scheme_1; ?>!important;
	}	
	
	/* CTA Color */
	#commentform textarea:focus,
	#commentform input[type="text"]:focus,
	#commentform input[type="email"]:focus,
	#commentform input[type="url"]:focus,
	#top-menu > li.cta-menu-item > a,
	.dl-cta-button,
	.et_pb_module .dl-cta-button:hover,
	.dl-contact-form .et_pb_contact p input:focus,
	.dl-contact-form .et_pb_contact p textarea:focus {
		border-color:<?php echo $color_scheme_2; ?>!important;
	}
	#top-menu > li.cta-menu-item > a,
	.et_mobile_menu li.cta-menu-item a,
	.dl-cta-button {
		background:<?php echo $color_scheme_2; ?>!important;
	}
	.dl-ticket .et_pb_featured_table{
		background:<?php echo $color_scheme_2; ?>;
	}

	#top-menu > li.cta-menu-item > a:hover,
	.dl-cta-button::after {
		color:<?php echo $color_scheme_2; ?>!important; 
	}
	.et_pb_module .dl-cta-button:hover {
		color:<?php echo $color_scheme_2; ?>!important; 
	}
	.dl-divider-lime svg {
		fill:<?php echo $color_scheme_2; ?>;
	}
	
	/* Dark Color */
	#commentform textarea,
	#commentform input[type="text"],
	#commentform input[type="email"],
	#commentform input[type="url"],
	#top-menu-nav > ul > li > a:hover,
	.mobile_menu_bar::before,
	.et-social-icon a,
	.et-social-icon a:hover,
	#footer-info,
	#footer-info a,
	.et_pb_scroll_top.et-pb-icon:hover,
	.dl-ticket .et_pb_et_price,
	.dl-ticket .et_pb_sum,
	.dl-ticket .et_pb_dollar_sign,
	.dl-ticket .et_pb_sum,
	.dl-ticket .et_pb_pricing li span::before,
	.dl-contact-form .et_pb_contact p input,
	.dl-contact-form .et_pb_contact p textarea,
	.dl-speaker-full .et_pb_member_social_links li a,
	.dl-schedule-toggle .et_pb_toggle_title::before,
	#searchform input[type=text] {
	    color:<?php echo $color_scheme_3; ?>;
	}
	.dl-divider-black svg {
		fill:<?php echo $color_scheme_3; ?>;
	}
	.dl-inline-email-optin .et_bloom_optin .et_bloom_form_container .et_bloom_form_content .et_bloom_popup_input input,
	.dl-inline-email-optin .et_bloom_optin .et_bloom_form_container .et_bloom_form_content button:hover span,
	#searchform input[type=submit]:hover,
	#sidebar .et_pb_widget li a,
	.et_pb_widget li a,
	#sidebar .et_pb_widget li a:hover,
	.et_pb_widget li a:hover,
	.et_pb_post p.post-meta,
	.et_pb_post p.post-meta a,
	.et_pb_post p.post-meta span {
	    color:<?php echo $color_scheme_3; ?>!important;
	}
	.dl-inline-email-optin .et_bloom_optin .et_bloom_form_container .et_bloom_form_content button,
	#searchform input[type=submit],
	.et_pb_post > a:after {
		background:<?php echo $color_scheme_3; ?>;
	}
	.dl-inline-email-optin .et_bloom_optin .et_bloom_form_container .et_bloom_form_content button,
	#searchform input[type=text],
	#searchform input[type=submit] {
		border-color:<?php echo $color_scheme_3; ?>;
	}
	.dl-blog-grid .et_pb_post .entry-featured-image-url:after {
		background:<?php echo $color_scheme_3; ?>
	}
	
	
	/* Light Color */
	#footer-bottom {
		background-color:<?php echo $color_scheme_4; ?>;
	}
	#main-content .et_pb_section.dl-section-grey {
		background-color:<?php echo $color_scheme_4; ?>!important;
	}
	
	
    /* Control font weight */
    h1, h2, h3, h4, h5, h6 {
	    font-weight: <?php echo $header_font_weight; ?>;
    }
    body {
	    font-weight: <?php echo $body_font_weight; ?>;
    }
    body .et_pb_button {
	    font-weight: <?php echo $button_font_weight; ?>!important;
    }
	#top-menu-nav > ul > li > a,
	.et_mobile_menu li a {
	    font-weight: <?php echo $nav_font_weight; ?>;
    }
    
    
    
	
	
	
	
    
    
	</style>
<?php
 
}
add_action( 'wp_head', 'meetly_customize_settings' );

?>